(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     62306,       1680]
NotebookOptionsPosition[     58720,       1552]
NotebookOutlinePosition[     59193,       1570]
CellTagsIndexPosition[     59150,       1567]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<SpinDynamica`\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.459515223243087*^9, 3.4595152345332003`*^9}, {
  3.568902853506591*^9, 3.5689028538406105`*^9}}],

Cell[BoxData[
 TagBox[
  FrameBox["\<\"SpinDynamica version 3.0.1 loaded\"\>"],
  DisplayForm]], "Print",
 CellChangeTimes->{3.7121607112186575`*^9}],

Cell[BoxData[
 TemplateBox[{
  "ModifyBuiltIn","report",
   "\"The following built-in routines have been modified in SpinDynamica: \\!\
\\(\\*RowBox[{\\\"{\\\", RowBox[{\\\"Chop\\\", \\\",\\\", \\\"Dot\\\", \
\\\",\\\", \\\"Duration\\\", \\\",\\\", \\\"Exp\\\", \\\",\\\", \
\\\"Expand\\\", \\\",\\\", \\\"ExpandAll\\\", \\\",\\\", \\\"NumericQ\\\", \\\
\",\\\", \\\"Plus\\\", \\\",\\\", \\\"Power\\\", \\\",\\\", \\\"Simplify\\\", \
\\\",\\\", \\\"Times\\\", \\\",\\\", \\\"WignerD\\\"}], \\\"}\\\"}]\\). \
\\nEvaluate \
??\\!\\(\\*\\nStyleBox[\\\"symbol\\\",\\nFontSlant->\\\"Italic\\\"]\\) to \
generate the additional definitions for \
\\!\\(\\*\\nStyleBox[\\\"symbol\\\",\\nFontSlant->\\\"Italic\\\"]\\).\"",2,1,
   1,29119469407532080295,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.7121607123560314`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["1 spin-1/2", "Subsection",
 CellChangeTimes->{{3.502950032474556*^9, 3.502950036730569*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetSpinSystem", "[", "1", "]"}]], "Input",
 CellChangeTimes->{{3.459515265495113*^9, 3.459515271132909*^9}, 
   3.5029499540211897`*^9}],

Cell[BoxData[
 TemplateBox[{
  "SetSpinSystem","set",
   "\"the spin system has been set to \\!\\(\\*RowBox[{\\\"{\\\", \
RowBox[{\\\"{\\\", RowBox[{\\\"1\\\", \\\",\\\", FractionBox[\\\"1\\\", \\\"2\
\\\"]}], \\\"}\\\"}], \\\"}\\\"}]\\)\"",2,2,2,29119469407532080295,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.4595152717838573`*^9, 3.459516865369279*^9, {3.4610371331380873`*^9, 
   3.461037154582645*^9}, 3.461065032266221*^9, 3.4610661012719088`*^9, 
   3.461066607288333*^9, 3.5029497678779383`*^9, {3.502949954440377*^9, 
   3.502949972019401*^9}, 3.5029502341591454`*^9, 3.502950318520062*^9, 
   3.515084070719948*^9, 3.5689028578528395`*^9, 3.7121607125502167`*^9}],

Cell[BoxData[
 TemplateBox[{
  "SetBasis","set",
   "\"the state basis has been set to \\!\\(\\*RowBox[{\\\"ZeemanBasis\\\", \
\\\"[\\\", RowBox[{RowBox[{\\\"{\\\", RowBox[{\\\"{\\\", RowBox[{\\\"1\\\", \
\\\",\\\", FractionBox[\\\"1\\\", \\\"2\\\"]}], \\\"}\\\"}], \\\"}\\\"}], \
\\\",\\\", RowBox[{\\\"BasisLabels\\\", \\\"\[Rule]\\\", \
\\\"Automatic\\\"}]}], \\\"]\\\"}]\\).\"",2,2,3,29119469407532080295,"Local"},
  
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.4595152717838573`*^9, 3.459516865369279*^9, {3.4610371331380873`*^9, 
   3.461037154582645*^9}, 3.461065032266221*^9, 3.4610661012719088`*^9, 
   3.461066607288333*^9, 3.5029497678779383`*^9, {3.502949954440377*^9, 
   3.502949972019401*^9}, 3.5029502341591454`*^9, 3.502950318520062*^9, 
   3.515084070719948*^9, 3.5689028578528395`*^9, 3.7121607126067567`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"OperatorBasis", "[", "]"}]], "Input",
 CellChangeTimes->{{3.502949964782896*^9, 3.5029499673156023`*^9}}],

Cell[BoxData[
 TemplateBox[{
  "SetOperatorBasis","set",
   "\"the operator basis has been set to \
\\!\\(\\*RowBox[{\\\"ShiftAndZOperatorBasis\\\", \\\"[\\\", \
RowBox[{RowBox[{\\\"{\\\", RowBox[{\\\"{\\\", RowBox[{\\\"1\\\", \\\",\\\", \
FractionBox[\\\"1\\\", \\\"2\\\"]}], \\\"}\\\"}], \\\"}\\\"}], \\\",\\\", \
RowBox[{\\\"Sorted\\\", \\\"\[Rule]\\\", \\\"CoherenceOrder\\\"}]}], \
\\\"]\\\"}]\\).\"",2,3,4,29119469407532080295,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.502950234193617*^9, 3.502950318587129*^9, 
  3.515084070751981*^9, 3.5689028583368673`*^9, 3.712160712713421*^9}],

Cell[BoxData[
 RowBox[{"ShiftAndZOperatorBasis", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"1", ",", 
      FractionBox["1", "2"]}], "}"}], "}"}], ",", 
   RowBox[{"Sorted", "\[Rule]", "CoherenceOrder"}]}], "]"}]], "Output",
 CellChangeTimes->{{3.502949967788868*^9, 3.502949972053061*^9}, 
   3.502950234197527*^9, 3.502950318592574*^9, 3.5150840707569437`*^9, 
   3.5689028585668807`*^9, 3.7121607127199173`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"BasisOperators", "[", "]"}]], "Input",
 CellChangeTimes->{{3.502949976099936*^9, 3.50294997948345*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    SubsuperscriptBox["I", "1", "-"],
    DisplayForm], ",", 
   RowBox[{
    SqrtBox["2"], " ", 
    TagBox[
     SubscriptBox["I", 
      RowBox[{"1", "z"}]],
     DisplayForm]}], ",", 
   FractionBox["\<\"\[DoubleStruckOne]\"\>", 
    SqrtBox["2"]], ",", 
   TagBox[
    SubsuperscriptBox["I", "1", "+"],
    DisplayForm]}], "}"}]], "Output",
 CellChangeTimes->{3.502949980020714*^9, 3.502950234225643*^9, 
  3.5029503186205177`*^9, 3.515084070799458*^9, 3.5689028586438847`*^9, 
  3.7121607127739143`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"OperatorVectorRepresentation", "[", "\[IndentingNewLine]", 
    RowBox[{"opI", "[", "\"\<x\>\"", "]"}], "\[IndentingNewLine]", "]"}], "//",
    "MatrixForm"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.50295024714432*^9, 3.5029502572706823`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       FractionBox["1", "2"]},
      {"0"},
      {"0"},
      {
       FractionBox["1", "2"]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[
    SparseArray[Automatic, {4}, 0, {1, {{0, 2}, {{1}, {4}}}, {
       Rational[1, 2], 
       Rational[1, 2]}}]]]]], "Output",
 CellChangeTimes->{3.502950257899086*^9, 3.5029503186545267`*^9, 
  3.515084070838595*^9, 3.568902858751891*^9, 3.712160712792432*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"SuperoperatorMatrixRepresentation", "[", "\[IndentingNewLine]", 
    RowBox[{"UnitySuperoperator", "[", "]"}], "\[IndentingNewLine]", "]"}], "//",
    "MatrixForm"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.502949957900828*^9, 3.5029499930355062`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0"},
     {"0", "1", "0", "0"},
     {"0", "0", "1", "0"},
     {"0", "0", "0", "1"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[
   SparseArray[
    Automatic, {4, 4}, 0, {
     1, {{0, 1, 2, 3, 4}, {{1}, {2}, {3}, {4}}}, {1, 1, 1, 1}}]]]]], "Output",\

 CellChangeTimes->{3.5029499936154947`*^9, 3.502950234276613*^9, 
  3.5029503187033167`*^9, 3.515084070870105*^9, 3.5689028587998943`*^9, 
  3.7121607128064384`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"SuperoperatorMatrixRepresentation", "[", "\[IndentingNewLine]", 
    RowBox[{"NullSuperoperator", "[", "]"}], "\[IndentingNewLine]", "]"}], "//",
    "MatrixForm"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.502949957900828*^9, 3.5029500009158792`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[
   SparseArray[
    Automatic, {4, 4}, 0, {1, {{0, 0, 0, 0, 0}, {}}, {}}]]]]], "Output",
 CellChangeTimes->{{3.5029499936154947`*^9, 3.502950001466501*^9}, 
   3.5029502343432093`*^9, 3.502950318738048*^9, 3.515084070916318*^9, 
   3.568902858835896*^9, 3.71216071282345*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"SuperoperatorMatrixRepresentation", "[", "\[IndentingNewLine]", 
    RowBox[{"CommutationSuperoperator", "[", 
     RowBox[{"opI", "[", "\"\<z\>\"", "]"}], "]"}], "\[IndentingNewLine]", 
    "]"}], "//", "MatrixForm"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.502949957900828*^9, 3.502950015259235*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"-", "1"}], "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "1"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[
   SparseArray[
    Automatic, {4, 4}, 0, {
     1, {{0, 1, 1, 1, 2}, {{1}, {4}}}, {-1, 1}}]]]]], "Output",
 CellChangeTimes->{{3.5029499936154947`*^9, 3.502950015781946*^9}, 
   3.5029502343907948`*^9, 3.502950318787943*^9, 3.515084070969428*^9, 
   3.568902858872898*^9, 3.712160712858056*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"SuperoperatorMatrixRepresentation", "[", "\[IndentingNewLine]", 
    RowBox[{"CommutationSuperoperator", "[", 
     RowBox[{"opI", "[", "\"\<x\>\"", "]"}], "]"}], "\[IndentingNewLine]", 
    "]"}], "//", "MatrixForm"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.502949957900828*^9, 3.502950042765815*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", "0"},
     {
      FractionBox["1", 
       SqrtBox["2"]], "0", "0", 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}]},
     {"0", "0", "0", "0"},
     {"0", 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}], "0", "0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[
   SparseArray[
    Automatic, {4, 4}, 0, {
     1, {{0, 2, 4, 6, 8}, {{2}, {3}, {4}, {1}, {4}, {1}, {2}, {3}}}, {
      2^Rational[-1, 2], 0, -2^Rational[-1, 2], 2^Rational[-1, 2], 0, 
       0, -2^Rational[-1, 2], 0}}]]]]], "Output",
 CellChangeTimes->{{3.5029499936154947`*^9, 3.502950043488714*^9}, 
   3.502950234442751*^9, 3.502950318838149*^9, 3.515084071017445*^9, 
   3.5689028589129004`*^9, 3.712160712873567*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"SuperoperatorMatrixRepresentation", "[", "\[IndentingNewLine]", 
    RowBox[{"DoubleCommutationSuperoperator", "[", 
     RowBox[{
      RowBox[{"opI", "[", "\"\<x\>\"", "]"}], ",", 
      RowBox[{"opI", "[", "\"\<x\>\"", "]"}]}], "]"}], "\[IndentingNewLine]", 
    "]"}], "//", "MatrixForm"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.502949957900828*^9, 3.502950057315493*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], "0", "0", 
      RowBox[{"-", 
       FractionBox["1", "2"]}]},
     {"0", "1", "0", "0"},
     {"0", "0", "0", "0"},
     {
      RowBox[{"-", 
       FractionBox["1", "2"]}], "0", "0", 
      FractionBox["1", "2"]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[
   SparseArray[
    Automatic, {4, 4}, 0, {
     1, {{0, 2, 4, 6, 8}, {{1}, {4}, {2}, {3}, {2}, {3}, {4}, {1}}}, {
      Rational[1, 2], Rational[-1, 2], 1, 0, 0, 0, Rational[1, 2], 
       Rational[-1, 2]}}]]]]], "Output",
 CellChangeTimes->{{3.5029499936154947`*^9, 3.502950057953064*^9}, 
   3.5029502344933147`*^9, 3.502950318887843*^9, 3.515084071068172*^9, 
   3.5689028589639034`*^9, 3.7121607129120965`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"SuperoperatorMatrixRepresentation", "[", "\[IndentingNewLine]", 
    RowBox[{"RotationSuperoperator", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Pi]", "/", "2"}], ",", "\"\<x\>\""}], "}"}], "]"}], 
    "\[IndentingNewLine]", "]"}], "//", "MatrixForm"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.502949957900828*^9, 3.502950057315493*^9}, {
  3.502950305121072*^9, 3.502950315854748*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], 
      RowBox[{"-", 
       FractionBox["\[ImaginaryI]", 
        SqrtBox["2"]]}], "0", 
      FractionBox["1", "2"]},
     {
      RowBox[{"-", 
       FractionBox["\[ImaginaryI]", 
        SqrtBox["2"]]}], "0", "0", 
      FractionBox["\[ImaginaryI]", 
       SqrtBox["2"]]},
     {"0", "0", "1", "0"},
     {
      FractionBox["1", "2"], 
      FractionBox["\[ImaginaryI]", 
       SqrtBox["2"]], "0", 
      FractionBox["1", "2"]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[
   SparseArray[
    Automatic, {4, 4}, 0, {
     1, {{0, 4, 8, 12, 16}, {{2}, {3}, {4}, {1}, {2}, {3}, {4}, {1}, {2}, {
       3}, {4}, {1}, {2}, {3}, {4}, {1}}}, {
      Complex[0, -1] 2^Rational[-1, 2], 0, Rational[1, 2], Rational[1, 2], 0, 
       0, Complex[0, 1] 2^Rational[-1, 2], Complex[0, -1] 2^Rational[-1, 2], 
       0, 1, 0, 0, Complex[0, 1] 2^Rational[-1, 2], 0, Rational[1, 2], 
       Rational[1, 2]}}]]]]], "Output",
 CellChangeTimes->{{3.5029499936154947`*^9, 3.502950057953064*^9}, 
   3.5029502344933147`*^9, 3.502950318938224*^9, 3.5150840711183643`*^9, 
   3.5689028590209064`*^9, 3.7121607129491205`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["2 spins-1/2", "Subsection",
 CellChangeTimes->{{3.502950032474556*^9, 3.502950036730569*^9}, {
  3.5029500711477737`*^9, 3.502950072426106*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetSpinSystem", "[", "2", "]"}]], "Input",
 CellChangeTimes->{{3.459515265495113*^9, 3.459515271132909*^9}, 
   3.5029499540211897`*^9, 3.5029500912288027`*^9}],

Cell[BoxData[
 TemplateBox[{
  "SetSpinSystem","set",
   "\"the spin system has been set to \\!\\(\\*RowBox[{\\\"{\\\", \
RowBox[{RowBox[{\\\"{\\\", RowBox[{\\\"1\\\", \\\",\\\", \
FractionBox[\\\"1\\\", \\\"2\\\"]}], \\\"}\\\"}], \\\",\\\", \
RowBox[{\\\"{\\\", RowBox[{\\\"2\\\", \\\",\\\", FractionBox[\\\"1\\\", \\\"2\
\\\"]}], \\\"}\\\"}]}], \\\"}\\\"}]\\)\"",2,12,5,29119469407532080295,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.4595152717838573`*^9, 3.459516865369279*^9, {3.4610371331380873`*^9, 
   3.461037154582645*^9}, 3.461065032266221*^9, 3.4610661012719088`*^9, 
   3.461066607288333*^9, 3.5029497678779383`*^9, {3.502949954440377*^9, 
   3.502949972019401*^9}, {3.5029500840037937`*^9, 3.502950093028179*^9}, 
   3.502950270921009*^9, {3.502950331026886*^9, 3.50295035544979*^9}, 
   3.515084071167197*^9, 3.568902859309923*^9, 3.7121607129696355`*^9}],

Cell[BoxData[
 TemplateBox[{
  "SetBasis","set",
   "\"the state basis has been set to \\!\\(\\*RowBox[{\\\"ZeemanBasis\\\", \
\\\"[\\\", RowBox[{RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", \
RowBox[{\\\"1\\\", \\\",\\\", FractionBox[\\\"1\\\", \\\"2\\\"]}], \
\\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"2\\\", \\\",\\\", \
FractionBox[\\\"1\\\", \\\"2\\\"]}], \\\"}\\\"}]}], \\\"}\\\"}], \\\",\\\", \
RowBox[{\\\"BasisLabels\\\", \\\"\[Rule]\\\", \\\"Automatic\\\"}]}], \
\\\"]\\\"}]\\).\"",2,12,6,29119469407532080295,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.4595152717838573`*^9, 3.459516865369279*^9, {3.4610371331380873`*^9, 
   3.461037154582645*^9}, 3.461065032266221*^9, 3.4610661012719088`*^9, 
   3.461066607288333*^9, 3.5029497678779383`*^9, {3.502949954440377*^9, 
   3.502949972019401*^9}, {3.5029500840037937`*^9, 3.502950093028179*^9}, 
   3.502950270921009*^9, {3.502950331026886*^9, 3.50295035544979*^9}, 
   3.515084071167197*^9, 3.568902859309923*^9, 3.71216071299015*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetOperatorBasis", "[", 
  RowBox[{"CartesianProductOperatorBasis", "[", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.502949964782896*^9, 3.5029499673156023`*^9}, {
  3.50295007417981*^9, 3.5029500797808123`*^9}}],

Cell[BoxData[
 TemplateBox[{
  "SetOperatorBasis","set",
   "\"the operator basis has been set to \
\\!\\(\\*RowBox[{\\\"CartesianProductOperatorBasis\\\", \\\"[\\\", \
RowBox[{RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", RowBox[{\\\"1\\\", \
\\\",\\\", FractionBox[\\\"1\\\", \\\"2\\\"]}], \\\"}\\\"}], \\\",\\\", \
RowBox[{\\\"{\\\", RowBox[{\\\"2\\\", \\\",\\\", FractionBox[\\\"1\\\", \\\"2\
\\\"]}], \\\"}\\\"}]}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"Sorted\\\", \\\"\
\[Rule]\\\", \\\"SpinProductRank\\\"}]}], \\\"]\\\"}]\\).\"",2,13,7,
   29119469407532080295,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{{3.50295008407152*^9, 3.502950093094726*^9}, 
   3.5029502709905777`*^9, {3.5029503310905724`*^9, 3.502950355517968*^9}, 
   3.515084071254053*^9, 3.5689028598349533`*^9, 3.71216071328436*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"BasisOperators", "[", "]"}]], "Input",
 CellChangeTimes->{{3.502949976099936*^9, 3.50294997948345*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox["\<\"\[DoubleStruckOne]\"\>", "2"], ",", 
   TagBox[
    SubscriptBox["I", 
     RowBox[{"1", "x"}]],
    DisplayForm], ",", 
   TagBox[
    SubscriptBox["I", 
     RowBox[{"1", "y"}]],
    DisplayForm], ",", 
   TagBox[
    SubscriptBox["I", 
     RowBox[{"1", "z"}]],
    DisplayForm], ",", 
   TagBox[
    SubscriptBox["I", 
     RowBox[{"2", "x"}]],
    DisplayForm], ",", 
   TagBox[
    SubscriptBox["I", 
     RowBox[{"2", "y"}]],
    DisplayForm], ",", 
   TagBox[
    SubscriptBox["I", 
     RowBox[{"2", "z"}]],
    DisplayForm], ",", 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     TagBox[
      RowBox[{
       TagBox[
        SubscriptBox["I", 
         RowBox[{"1", "x"}]],
        DisplayForm], 
       AdjustmentBox["\[Bullet]",
        BoxMargins->{{-0.3, 0}, {0, 0}}], 
       TagBox[
        SubscriptBox["I", 
         RowBox[{"2", "x"}]],
        DisplayForm]}],
      DisplayForm], ")"}]}], ",", 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     TagBox[
      RowBox[{
       TagBox[
        SubscriptBox["I", 
         RowBox[{"1", "x"}]],
        DisplayForm], 
       AdjustmentBox["\[Bullet]",
        BoxMargins->{{-0.3, 0}, {0, 0}}], 
       TagBox[
        SubscriptBox["I", 
         RowBox[{"2", "y"}]],
        DisplayForm]}],
      DisplayForm], ")"}]}], ",", 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     TagBox[
      RowBox[{
       TagBox[
        SubscriptBox["I", 
         RowBox[{"1", "x"}]],
        DisplayForm], 
       AdjustmentBox["\[Bullet]",
        BoxMargins->{{-0.3, 0}, {0, 0}}], 
       TagBox[
        SubscriptBox["I", 
         RowBox[{"2", "z"}]],
        DisplayForm]}],
      DisplayForm], ")"}]}], ",", 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     TagBox[
      RowBox[{
       TagBox[
        SubscriptBox["I", 
         RowBox[{"1", "y"}]],
        DisplayForm], 
       AdjustmentBox["\[Bullet]",
        BoxMargins->{{-0.3, 0}, {0, 0}}], 
       TagBox[
        SubscriptBox["I", 
         RowBox[{"2", "x"}]],
        DisplayForm]}],
      DisplayForm], ")"}]}], ",", 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     TagBox[
      RowBox[{
       TagBox[
        SubscriptBox["I", 
         RowBox[{"1", "y"}]],
        DisplayForm], 
       AdjustmentBox["\[Bullet]",
        BoxMargins->{{-0.3, 0}, {0, 0}}], 
       TagBox[
        SubscriptBox["I", 
         RowBox[{"2", "y"}]],
        DisplayForm]}],
      DisplayForm], ")"}]}], ",", 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     TagBox[
      RowBox[{
       TagBox[
        SubscriptBox["I", 
         RowBox[{"1", "y"}]],
        DisplayForm], 
       AdjustmentBox["\[Bullet]",
        BoxMargins->{{-0.3, 0}, {0, 0}}], 
       TagBox[
        SubscriptBox["I", 
         RowBox[{"2", "z"}]],
        DisplayForm]}],
      DisplayForm], ")"}]}], ",", 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     TagBox[
      RowBox[{
       TagBox[
        SubscriptBox["I", 
         RowBox[{"1", "z"}]],
        DisplayForm], 
       AdjustmentBox["\[Bullet]",
        BoxMargins->{{-0.3, 0}, {0, 0}}], 
       TagBox[
        SubscriptBox["I", 
         RowBox[{"2", "x"}]],
        DisplayForm]}],
      DisplayForm], ")"}]}], ",", 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     TagBox[
      RowBox[{
       TagBox[
        SubscriptBox["I", 
         RowBox[{"1", "z"}]],
        DisplayForm], 
       AdjustmentBox["\[Bullet]",
        BoxMargins->{{-0.3, 0}, {0, 0}}], 
       TagBox[
        SubscriptBox["I", 
         RowBox[{"2", "y"}]],
        DisplayForm]}],
      DisplayForm], ")"}]}], ",", 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     TagBox[
      RowBox[{
       TagBox[
        SubscriptBox["I", 
         RowBox[{"1", "z"}]],
        DisplayForm], 
       AdjustmentBox["\[Bullet]",
        BoxMargins->{{-0.3, 0}, {0, 0}}], 
       TagBox[
        SubscriptBox["I", 
         RowBox[{"2", "z"}]],
        DisplayForm]}],
      DisplayForm], ")"}]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.502949980020714*^9, {3.502950084103653*^9, 3.502950093129767*^9}, 
   3.5029502710271597`*^9, {3.5029503311272707`*^9, 3.502950355556847*^9}, 
   3.515084071299548*^9, 3.568902859900957*^9, 3.712160713350418*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"OperatorVectorRepresentation", "[", "\[IndentingNewLine]", 
    RowBox[{"opI", "[", "\"\<x\>\"", "]"}], "\[IndentingNewLine]", "]"}], "//",
    "MatrixForm"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.50295024714432*^9, 3.5029502572706823`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"1"},
      {"0"},
      {"0"},
      {"1"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[
    SparseArray[
    Automatic, {16}, 0, {1, {{0, 2}, {{2}, {5}}}, {1, 1}}]]]]], "Output",
 CellChangeTimes->{{3.502950257899086*^9, 3.502950271061738*^9}, {
   3.502950331163945*^9, 3.502950355602682*^9}, 3.5150840713506317`*^9, 
   3.5689028599559603`*^9, 3.712160713369936*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"SuperoperatorMatrixRepresentation", "[", "\[IndentingNewLine]", 
    RowBox[{"UnitySuperoperator", "[", "]"}], "\[IndentingNewLine]", "]"}], "//",
    "MatrixForm"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.502949957900828*^9, 3.5029499930355062`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "1", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "1"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[
   SparseArray[
    Automatic, {16, 16}, 0, {
     1, {{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16}, {{1}, {
       2}, {3}, {4}, {5}, {6}, {7}, {8}, {9}, {10}, {11}, {12}, {13}, {14}, {
       15}, {16}}}, {1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
      1}}]]]]], "Output",
 CellChangeTimes->{
  3.5029499936154947`*^9, {3.5029500865989227`*^9, 3.502950093167409*^9}, 
   3.502950271107827*^9, {3.502950331227347*^9, 3.502950355668713*^9}, 
   3.515084071402453*^9, 3.5689028600139637`*^9, 3.712160713466992*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"SuperoperatorMatrixRepresentation", "[", "\[IndentingNewLine]", 
    RowBox[{"NullSuperoperator", "[", "]"}], "\[IndentingNewLine]", "]"}], "//",
    "MatrixForm"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.502949957900828*^9, 3.5029500009158792`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[
   SparseArray[
    Automatic, {16, 16}, 0, {
     1, {{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
       0}, {}}, {}}]]]]], "Output",
 CellChangeTimes->{{3.5029499936154947`*^9, 3.502950001466501*^9}, 
   3.502950093210682*^9, 3.502950271190741*^9, {3.5029503312596903`*^9, 
   3.5029503557025127`*^9}, 3.515084071452985*^9, 3.568902860071967*^9, 
   3.7121607134850025`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"SuperoperatorMatrixRepresentation", "[", "\[IndentingNewLine]", 
    RowBox[{"CommutationSuperoperator", "[", 
     RowBox[{"opI", "[", "\"\<z\>\"", "]"}], "]"}], "\[IndentingNewLine]", 
    "]"}], "//", "MatrixForm"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.502949957900828*^9, 3.502950015259235*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", 
      RowBox[{"-", "\[ImaginaryI]"}], "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0"},
     {"0", "\[ImaginaryI]", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", 
      RowBox[{"-", "\[ImaginaryI]"}], "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "\[ImaginaryI]", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "\[ImaginaryI]"}], "0", 
      RowBox[{"-", "\[ImaginaryI]"}], "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "\[ImaginaryI]", "0", "0", "0", 
      RowBox[{"-", "\[ImaginaryI]"}], "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "\[ImaginaryI]"}], "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "\[ImaginaryI]", "0", "0", "0", 
      RowBox[{"-", "\[ImaginaryI]"}], "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "\[ImaginaryI]", "0", 
      "\[ImaginaryI]", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "\[ImaginaryI]", "0", "0", 
      "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "\[ImaginaryI]"}], "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "\[ImaginaryI]", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[
   SparseArray[
    Automatic, {16, 16}, 0, {
     1, {{0, 0, 4, 8, 8, 12, 16, 16, 20, 24, 28, 32, 36, 40, 44, 48, 48}, {{
       2}, {3}, {10}, {13}, {2}, {3}, {10}, {13}, {5}, {6}, {14}, {15}, {5}, {
       6}, {14}, {15}, {8}, {9}, {11}, {12}, {8}, {9}, {11}, {12}, {2}, {3}, {
       10}, {13}, {8}, {9}, {11}, {12}, {8}, {9}, {11}, {12}, {2}, {3}, {
       10}, {13}, {5}, {6}, {14}, {15}, {5}, {6}, {14}, {15}}}, {
      0, Complex[0, -1], 0, 0, Complex[0, 1], 0, 0, 0, 0, Complex[0, -1], 0, 
       0, Complex[0, 1], 0, 0, 0, 0, Complex[0, -1], Complex[0, -1], 0, 
       Complex[0, 1], 0, 0, Complex[0, -1], 0, 0, 0, Complex[0, -1], Complex[
       0, 1], 0, 0, Complex[0, -1], 0, Complex[0, 1], Complex[0, 1], 0, 0, 0, 
       Complex[0, 1], 0, 0, 0, 0, Complex[0, -1], 0, 0, Complex[0, 1], 
       0}}]]]]], "Output",
 CellChangeTimes->{{3.5029499936154947`*^9, 3.502950015781946*^9}, 
   3.502950093358247*^9, 3.502950271241611*^9, {3.502950331277293*^9, 
   3.502950355736917*^9}, 3.515084071503408*^9, 3.5689028601389704`*^9, 
   3.7121607135315466`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"SuperoperatorMatrixRepresentation", "[", "\[IndentingNewLine]", 
    RowBox[{"CommutationSuperoperator", "[", 
     RowBox[{"opI", "[", "\"\<x\>\"", "]"}], "]"}], "\[IndentingNewLine]", 
    "]"}], "//", "MatrixForm"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.502949957900828*^9, 3.502950042765815*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", 
      RowBox[{"-", "\[ImaginaryI]"}], "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0"},
     {"0", "0", "\[ImaginaryI]", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "\[ImaginaryI]"}], "0", "0", "0", "0", "0", "0", "0", "0", 
      "0"},
     {"0", "0", "0", "0", "0", "\[ImaginaryI]", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "\[ImaginaryI]"}], "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "\[ImaginaryI]", "0", "0", "0", 
      "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "\[ImaginaryI]"}], "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "\[ImaginaryI]"}], "0", 
      RowBox[{"-", "\[ImaginaryI]"}], "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "\[ImaginaryI]", 
      "0", "0", "0", 
      RowBox[{"-", "\[ImaginaryI]"}]},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "\[ImaginaryI]", "0", 
      "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "\[ImaginaryI]", 
      "0", "0", "0", 
      RowBox[{"-", "\[ImaginaryI]"}]},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "\[ImaginaryI]", "0", "\[ImaginaryI]", "0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[
   SparseArray[
    Automatic, {16, 16}, 0, {
     1, {{0, 8, 16, 24, 32, 40, 48, 56, 64, 72, 80, 88, 96, 104, 112, 120, 
       128}, {{2}, {3}, {10}, {13}, {5}, {6}, {14}, {15}, {1}, {4}, {7}, {
       16}, {8}, {9}, {11}, {12}, {1}, {4}, {7}, {16}, {8}, {9}, {11}, {12}, {
       2}, {3}, {10}, {13}, {5}, {6}, {14}, {15}, {1}, {4}, {7}, {16}, {8}, {
       9}, {11}, {12}, {1}, {4}, {7}, {16}, {8}, {9}, {11}, {12}, {2}, {3}, {
       10}, {13}, {5}, {6}, {14}, {15}, {2}, {3}, {10}, {13}, {5}, {6}, {
       14}, {15}, {2}, {3}, {10}, {13}, {5}, {6}, {14}, {15}, {1}, {4}, {7}, {
       16}, {8}, {9}, {11}, {12}, {2}, {3}, {10}, {13}, {5}, {6}, {14}, {
       15}, {2}, {3}, {10}, {13}, {5}, {6}, {14}, {15}, {1}, {4}, {7}, {16}, {
       8}, {9}, {11}, {12}, {1}, {4}, {7}, {16}, {8}, {9}, {11}, {12}, {1}, {
       4}, {7}, {16}, {8}, {9}, {11}, {12}, {2}, {3}, {10}, {13}, {5}, {6}, {
       14}, {15}}}, {
      0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, Complex[0, -1], 0, 0,
        0, 0, 0, 0, 0, Complex[0, 1], 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
       0, 0, 0, Complex[0, -1], 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, Complex[0, 1], 
       0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, Complex[0, -1], 0, 0, 0, 0, 0, 0, 
       0, 0, 0, 0, Complex[0, 1], 0, 0, 0, 0, 0, 0, 0, 0, Complex[0, -1], 0, 
       0, 0, 0, Complex[0, -1], 0, 0, 0, Complex[0, -1], 0, 0, 0, Complex[
       0, -1], 0, 0, 0, Complex[0, 1], 0, 0, 0, 0, 0, 0, Complex[0, 1], 0, 0, 
       0, 0, Complex[0, -1], 0, 0, 0, Complex[0, 1], 0, 0, 0, Complex[0, 1], 
       0, 0, 0, Complex[0, 1]}}]]]]], "Output",
 CellChangeTimes->{{3.5029499936154947`*^9, 3.502950043488714*^9}, 
   3.5029500934293137`*^9, 3.502950271292429*^9, {3.502950331311047*^9, 
   3.5029503557703*^9}, 3.515084071552991*^9, 3.568902860204974*^9, 
   3.7121607135825796`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"SuperoperatorMatrixRepresentation", "[", "\[IndentingNewLine]", 
    RowBox[{"DoubleCommutationSuperoperator", "[", 
     RowBox[{
      RowBox[{"opI", "[", "\"\<x\>\"", "]"}], ",", 
      RowBox[{"opI", "[", "\"\<x\>\"", "]"}]}], "]"}], "\[IndentingNewLine]", 
    "]"}], "//", "MatrixForm"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.502949957900828*^9, 3.502950057315493*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "2", "0", "0", 
      "0", 
      RowBox[{"-", "2"}]},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "2", "0", 
      "2", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "2", "0", 
      "2", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "2"}], "0", "0", "0", "2"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[
   SparseArray[
    Automatic, {16, 16}, 0, {
     1, {{0, 8, 16, 24, 32, 40, 48, 56, 64, 72, 80, 88, 96, 104, 112, 120, 
       128}, {{1}, {4}, {7}, {16}, {8}, {9}, {11}, {12}, {2}, {3}, {10}, {
       13}, {5}, {6}, {14}, {15}, {2}, {3}, {10}, {13}, {5}, {6}, {14}, {
       15}, {1}, {4}, {7}, {16}, {8}, {9}, {11}, {12}, {2}, {3}, {10}, {13}, {
       5}, {6}, {14}, {15}, {2}, {3}, {10}, {13}, {5}, {6}, {14}, {15}, {1}, {
       4}, {7}, {16}, {8}, {9}, {11}, {12}, {1}, {4}, {7}, {16}, {8}, {9}, {
       11}, {12}, {1}, {4}, {7}, {16}, {8}, {9}, {11}, {12}, {2}, {3}, {10}, {
       13}, {5}, {6}, {14}, {15}, {1}, {4}, {7}, {16}, {8}, {9}, {11}, {12}, {
       1}, {4}, {7}, {16}, {8}, {9}, {11}, {12}, {2}, {3}, {10}, {13}, {5}, {
       6}, {14}, {15}, {2}, {3}, {10}, {13}, {5}, {6}, {14}, {15}, {2}, {3}, {
       10}, {13}, {5}, {6}, {14}, {15}, {1}, {4}, {7}, {16}, {8}, {9}, {11}, {
       12}}}, CompressedData["
1:eJxTTMoPymNkYGBoYKAOYKRQnhr2UdMOapiPTf2/////I/OZ0OQJ8QmZT6p5
IPcAANm/Cj4=
      "]}]]]]], "Output",
 CellChangeTimes->{{3.5029499936154947`*^9, 3.502950057953064*^9}, 
   3.5029500934786*^9, 3.502950271342071*^9, {3.5029503313443747`*^9, 
   3.502950355803452*^9}, 3.51508407160369*^9, 3.5689028602839785`*^9, 
   3.7121607136323066`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"SuperoperatorMatrixRepresentation", "[", "\[IndentingNewLine]", 
    RowBox[{"RotationSuperoperator", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Pi]", "/", "2"}], ",", "\"\<x\>\""}], "}"}], "]"}], 
    "\[IndentingNewLine]", "]"}], "//", "MatrixForm"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.502949957900828*^9, 3.502950057315493*^9}, {
  3.502950305121072*^9, 3.502950315854748*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", 
      RowBox[{"-", "1"}], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "1"}], "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "1"}], "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "1"}], "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "1"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "1"}], "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "1"}], "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", 
      "0", "0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[
   SparseArray[
    Automatic, {16, 16}, 0, {
     1, {{0, 16, 32, 48, 64, 80, 96, 112, 128, 144, 160, 176, 192, 208, 224, 
       240, 256}, {{1}, {4}, {7}, {16}, {2}, {3}, {10}, {13}, {5}, {6}, {
       14}, {15}, {8}, {9}, {11}, {12}, {1}, {4}, {7}, {16}, {2}, {3}, {10}, {
       13}, {5}, {6}, {14}, {15}, {8}, {9}, {11}, {12}, {1}, {4}, {7}, {16}, {
       2}, {3}, {10}, {13}, {5}, {6}, {14}, {15}, {8}, {9}, {11}, {12}, {1}, {
       4}, {7}, {16}, {2}, {3}, {10}, {13}, {5}, {6}, {14}, {15}, {8}, {9}, {
       11}, {12}, {1}, {4}, {7}, {16}, {2}, {3}, {10}, {13}, {5}, {6}, {14}, {
       15}, {8}, {9}, {11}, {12}, {1}, {4}, {7}, {16}, {2}, {3}, {10}, {13}, {
       5}, {6}, {14}, {15}, {8}, {9}, {11}, {12}, {1}, {4}, {7}, {16}, {2}, {
       3}, {10}, {13}, {5}, {6}, {14}, {15}, {8}, {9}, {11}, {12}, {1}, {4}, {
       7}, {16}, {2}, {3}, {10}, {13}, {5}, {6}, {14}, {15}, {8}, {9}, {11}, {
       12}, {1}, {4}, {7}, {16}, {2}, {3}, {10}, {13}, {5}, {6}, {14}, {15}, {
       8}, {9}, {11}, {12}, {1}, {4}, {7}, {16}, {2}, {3}, {10}, {13}, {5}, {
       6}, {14}, {15}, {8}, {9}, {11}, {12}, {1}, {4}, {7}, {16}, {2}, {3}, {
       10}, {13}, {5}, {6}, {14}, {15}, {8}, {9}, {11}, {12}, {1}, {4}, {7}, {
       16}, {2}, {3}, {10}, {13}, {5}, {6}, {14}, {15}, {8}, {9}, {11}, {
       12}, {1}, {4}, {7}, {16}, {2}, {3}, {10}, {13}, {5}, {6}, {14}, {15}, {
       8}, {9}, {11}, {12}, {1}, {4}, {7}, {16}, {2}, {3}, {10}, {13}, {5}, {
       6}, {14}, {15}, {8}, {9}, {11}, {12}, {1}, {4}, {7}, {16}, {2}, {3}, {
       10}, {13}, {5}, {6}, {14}, {15}, {8}, {9}, {11}, {12}, {1}, {4}, {7}, {
       16}, {2}, {3}, {10}, {13}, {5}, {6}, {14}, {15}, {8}, {9}, {11}, {
       12}}}, CompressedData["
1:eJxTTMoPymNkAAJGMKIqIMe8/0Aw0G6g1Cxq+4EcN1DTrMHmH2LcQ+20TI4b
iAXEuJWWcQBzAwBf+xmn
      "]}]]]]], "Output",
 CellChangeTimes->{{3.5029499936154947`*^9, 3.502950057953064*^9}, 
   3.5029502344933147`*^9, {3.502950318938224*^9, 3.502950355836637*^9}, 
   3.515084071653599*^9, 3.568902860351983*^9, 3.712160713715865*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"SuperoperatorMatrixRepresentation", "[", "\[IndentingNewLine]", 
    RowBox[{"RotationSuperoperator", "[", 
     RowBox[{"1", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\[Pi]", "/", "2"}], ",", "\"\<x\>\""}], "}"}]}], "]"}], 
    "\[IndentingNewLine]", "]"}], "//", "MatrixForm"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.502949957900828*^9, 3.502950057315493*^9}, {
  3.502950305121072*^9, 3.502950315854748*^9}, {3.5029503459767447`*^9, 
  3.502950346166448*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", 
      RowBox[{"-", "1"}], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "1"}], "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "1"}], "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", 
      RowBox[{"-", "1"}]},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "0", 
      "0", "0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[
   SparseArray[
    Automatic, {16, 16}, 0, {
     1, {{0, 8, 16, 24, 32, 40, 48, 56, 64, 72, 80, 88, 96, 104, 112, 120, 
       128}, {{1}, {4}, {7}, {16}, {2}, {3}, {10}, {13}, {1}, {4}, {7}, {
       16}, {2}, {3}, {10}, {13}, {1}, {4}, {7}, {16}, {2}, {3}, {10}, {13}, {
       1}, {4}, {7}, {16}, {2}, {3}, {10}, {13}, {5}, {6}, {14}, {15}, {8}, {
       9}, {11}, {12}, {5}, {6}, {14}, {15}, {8}, {9}, {11}, {12}, {1}, {4}, {
       7}, {16}, {2}, {3}, {10}, {13}, {5}, {6}, {14}, {15}, {8}, {9}, {11}, {
       12}, {5}, {6}, {14}, {15}, {8}, {9}, {11}, {12}, {1}, {4}, {7}, {16}, {
       2}, {3}, {10}, {13}, {5}, {6}, {14}, {15}, {8}, {9}, {11}, {12}, {5}, {
       6}, {14}, {15}, {8}, {9}, {11}, {12}, {1}, {4}, {7}, {16}, {2}, {3}, {
       10}, {13}, {5}, {6}, {14}, {15}, {8}, {9}, {11}, {12}, {5}, {6}, {
       14}, {15}, {8}, {9}, {11}, {12}, {1}, {4}, {7}, {16}, {2}, {3}, {10}, {
       13}}}, CompressedData["
1:eJxTTMoPymNkYGBoAGIQTQrApv4/EJBrBjH2U0sNLe0jJgwIqSElHKnhD5A8
AFQLEjA=
      "]}]]]]], "Output",
 CellChangeTimes->{{3.5029499936154947`*^9, 3.502950057953064*^9}, 
   3.5029502344933147`*^9, {3.502950318938224*^9, 3.5029503558703012`*^9}, 
   3.515084071757203*^9, 3.568902860415986*^9, 3.7121607137929196`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"SuperoperatorMatrixRepresentation", "[", "\[IndentingNewLine]", 
    RowBox[{"Exp", "[", 
     RowBox[{
      RowBox[{"-", "I"}], " ", 
      RowBox[{"(", 
       RowBox[{"\[Pi]", "/", "2"}], ")"}], " ", 
      RowBox[{"CommutationSuperoperator", "[", 
       RowBox[{"2", " ", 
        RowBox[{
         RowBox[{"opI", "[", 
          RowBox[{"1", ",", "\"\<z\>\""}], "]"}], ".", 
         RowBox[{"opI", "[", 
          RowBox[{"2", ",", "\"\<z\>\""}], "]"}]}]}], "]"}]}], "]"}], 
    "\[IndentingNewLine]", "]"}], "//", "MatrixForm"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.502949957900828*^9, 3.502950057315493*^9}, {
  3.502950305121072*^9, 3.502950315854748*^9}, {3.5029503459767447`*^9, 
  3.502950346166448*^9}, {3.502950457919899*^9, 3.5029504806551857`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "1"}], "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "1"}], "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", 
      RowBox[{"-", "1"}], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", 
      "0", "0"},
     {"0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", 
      RowBox[{"-", "1"}], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "1"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[
   SparseArray[
    Automatic, {16, 16}, 0, {
     1, {{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16}, {{1}, {
       13}, {10}, {4}, {15}, {14}, {7}, {8}, {9}, {3}, {11}, {12}, {2}, {6}, {
       5}, {16}}}, {1, -1, 1, 1, -1, 1, 1, 1, 1, -1, 1, 1, 1, -1, 1, 
      1}}]]]]], "Output",
 CellChangeTimes->{{3.5029499936154947`*^9, 3.502950057953064*^9}, 
   3.5029502344933147`*^9, {3.502950318938224*^9, 3.5029503558703012`*^9}, 
   3.502950481901672*^9, 3.515084071804963*^9, 3.56890286047899*^9, 
   3.7121607138384542`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["perform product-operator style calculations", "Subsection",
 CellChangeTimes->{{3.502950563395103*^9, 3.502950571457838*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ExpressOperator", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"RotationSuperoperator", "[", 
     RowBox[{"1", ",", 
      RowBox[{"{", 
       RowBox[{"\[Beta]", ",", "\"\<x\>\""}], "}"}]}], "]"}], "[", 
    RowBox[{"2", " ", 
     RowBox[{
      RowBox[{"opI", "[", 
       RowBox[{"1", ",", "\"\<z\>\""}], "]"}], ".", 
      RowBox[{"opI", "[", 
       RowBox[{"2", ",", "\"\<z\>\""}], "]"}]}]}], "]"}], 
   "\[IndentingNewLine]", "]"}], "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.502950506237254*^9, 3.5029505858778267`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"2", " ", 
   RowBox[{"Cos", "[", "\[Beta]", "]"}], " ", 
   RowBox[{"(", 
    TagBox[
     RowBox[{
      TagBox[
       SubscriptBox["I", 
        RowBox[{"1", "z"}]],
       DisplayForm], 
      AdjustmentBox["\[Bullet]",
       BoxMargins->{{-0.3, 0}, {0, 0}}], 
      TagBox[
       SubscriptBox["I", 
        RowBox[{"2", "z"}]],
       DisplayForm]}],
     DisplayForm], ")"}]}], "-", 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    TagBox[
     RowBox[{
      TagBox[
       SubscriptBox["I", 
        RowBox[{"1", "y"}]],
       DisplayForm], 
      AdjustmentBox["\[Bullet]",
       BoxMargins->{{-0.3, 0}, {0, 0}}], 
      TagBox[
       SubscriptBox["I", 
        RowBox[{"2", "z"}]],
       DisplayForm]}],
     DisplayForm], ")"}], " ", 
   RowBox[{"Sin", "[", "\[Beta]", "]"}]}]}]], "Output",
 CellChangeTimes->{{3.5029505163742867`*^9, 3.5029505811564207`*^9}, 
   3.515084071872332*^9, 3.568902860691002*^9, 3.71216071394853*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ExpressOperator", "[", 
   RowBox[{
    RowBox[{"Exp", "[", 
     RowBox[{
      RowBox[{"-", "I"}], " ", 
      RowBox[{"(", 
       RowBox[{"\[Pi]", "/", "2"}], ")"}], " ", 
      RowBox[{"CommutationSuperoperator", "[", 
       RowBox[{"2", " ", 
        RowBox[{
         RowBox[{"opI", "[", 
          RowBox[{"1", ",", "\"\<z\>\""}], "]"}], ".", 
         RowBox[{"opI", "[", 
          RowBox[{"2", ",", "\"\<z\>\""}], "]"}]}]}], "]"}]}], "]"}], "[", 
    RowBox[{"opI", "[", 
     RowBox[{"1", ",", "\"\<x\>\""}], "]"}], "]"}], "\[IndentingNewLine]", 
   "]"}], "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.502950506237254*^9, 3.502950525796393*^9}, {
  3.502950611414592*^9, 3.502950633380405*^9}}],

Cell[BoxData[
 RowBox[{"2", " ", 
  RowBox[{"(", 
   TagBox[
    RowBox[{
     TagBox[
      SubscriptBox["I", 
       RowBox[{"1", "y"}]],
      DisplayForm], 
     AdjustmentBox["\[Bullet]",
      BoxMargins->{{-0.3, 0}, {0, 0}}], 
     TagBox[
      SubscriptBox["I", 
       RowBox[{"2", "z"}]],
      DisplayForm]}],
    DisplayForm], ")"}]}]], "Output",
 CellChangeTimes->{{3.5029505163742867`*^9, 3.5029505263968973`*^9}, {
   3.5029506130390577`*^9, 3.502950634250264*^9}, 3.515084071920045*^9, 
   3.568902860806009*^9, 3.712160713999067*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1350, 633},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
FrontEndVersion->"11.0 for Microsoft Windows (64-bit) (July 28, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 197, 3, 30, "Input"],
Cell[767, 27, 149, 4, 36, "Print"],
Cell[919, 33, 838, 15, 40, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1794, 53, 98, 1, 43, "Subsection"],
Cell[CellGroupData[{
Cell[1917, 58, 160, 3, 30, "Input"],
Cell[2080, 63, 705, 12, 47, "Message"],
Cell[2788, 77, 849, 15, 47, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3674, 97, 129, 2, 30, "Input"],
Cell[3806, 101, 618, 11, 47, "Message"],
Cell[4427, 114, 437, 10, 53, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4901, 129, 127, 2, 30, "Input"],
Cell[5031, 133, 560, 19, 61, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5628, 157, 308, 6, 88, "Input"],
Cell[5939, 165, 942, 28, 118, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6918, 198, 316, 6, 88, "Input"],
Cell[7237, 206, 925, 26, 94, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8199, 237, 315, 6, 88, "Input"],
Cell[8517, 245, 910, 24, 94, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9464, 274, 367, 7, 88, "Input"],
Cell[9834, 283, 952, 26, 94, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10823, 314, 367, 7, 88, "Input"],
Cell[11193, 323, 1274, 37, 139, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12504, 365, 442, 9, 88, "Input"],
Cell[12949, 376, 1196, 33, 118, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14182, 414, 468, 11, 88, "Input"],
Cell[14653, 427, 1626, 44, 139, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[16328, 477, 150, 2, 43, "Subsection"],
Cell[CellGroupData[{
Cell[16503, 483, 184, 3, 30, "Input"],
Cell[16690, 488, 901, 15, 47, "Message"],
Cell[17594, 505, 1039, 17, 47, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18670, 527, 238, 4, 30, "Input"],
Cell[18911, 533, 830, 14, 47, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19778, 552, 127, 2, 30, "Input"],
Cell[19908, 556, 4190, 166, 53, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[24135, 727, 308, 6, 88, "Input"],
Cell[24446, 735, 1065, 38, 298, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[25548, 778, 316, 6, 88, "Input"],
Cell[25867, 786, 2563, 57, 298, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[28467, 848, 315, 6, 88, "Input"],
Cell[28785, 856, 2413, 55, 298, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[31235, 916, 367, 7, 88, "Input"],
Cell[31605, 925, 3431, 67, 298, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[35073, 997, 367, 7, 88, "Input"],
Cell[35443, 1006, 4202, 79, 298, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[39682, 1090, 442, 9, 88, "Input"],
Cell[40127, 1101, 3339, 69, 298, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[43503, 1175, 468, 11, 88, "Input"],
Cell[43974, 1188, 4163, 78, 298, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[48174, 1271, 548, 13, 88, "Input"],
Cell[48725, 1286, 3349, 69, 298, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[52111, 1360, 837, 20, 88, "Input"],
Cell[52951, 1382, 2636, 58, 298, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[55636, 1446, 131, 1, 43, "Subsection"],
Cell[CellGroupData[{
Cell[55792, 1451, 582, 15, 69, "Input"],
Cell[56377, 1468, 975, 35, 33, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[57389, 1508, 749, 20, 50, "Input"],
Cell[58141, 1530, 551, 18, 33, "Output"]
}, Open  ]]
}, Open  ]]
}
]
*)

